【Tensorflow】安装spyder(tensorflow)后无法启动

问题描述:

在安装好Anaconda(默认python3.6.0)之后,创建了基于python3.5.0的tensorflow工作环境,并成功安装tensorflow。

随后发现spyder中导入tensoeflow出现import error。

于是在tensorflow环境下安装了spyder插件:conda install spyder。

现在面临新问题,spyder(tensorflow)无法启动,重启系统后依然无法启动,右键以管理员方式运行也无效。


解决方案:

1. 由于Spyder默认工作环境为3.6.0,而tensorflow工作环境3.5.0,对Anaconda环境进行降级:

conda install python=3.5

出现以下语句:

The following packages will be DOWNGRADED due to dependency conflicts:
python:              3.6.0-0            --> 3.5.3-3
Proceed ([y]/n)? y

2. 这个过程中许多数值计算的包都进行了降级,spyder和jupter全部被删,打开anaconda navigator重新安装。

3. 重新安装tensorflow:

conda create -n tensorflow
activate tensorflow
pip install --ignore-installed --upgrade https://storage.googleapis.com/tensorflow/windows/cpu/tensorflow-1.0.1-cp35-cp35m-win_amd64.whl

4. 在tensorflow的新环境中使用spyder命令可以顺利打开相应的spyder

测试import tensorflow,成功

展开阅读全文

没有更多推荐了,返回首页

©️2019 CSDN 皮肤主题: 编程工作室 设计师: CSDN官方博客
应支付0元
点击重新获取
扫码支付

支付成功即可阅读